// Copyright 1998-2014 Epic Games, Inc. All Rights Reserved.
#pragma once

#include "IPolishBuildingsTool.h"

/**
* Mesh Proxy Tool
*/
class FBuildingsProxyTool : public IPolishBuildingsTool
{
	friend class SBuildingsProxyDialog;

public:

	// IMergeActorsTool interface
	virtual TSharedRef<SWidget> GetWidget() override;
	virtual FName GetIconName() const override { return "PolishBuildings.BuildingsProxyTool"; }
	virtual FText GetTooltipText() const override;
	virtual FString GetDefaultPackageName() const override;
	virtual bool RunMerge(const FString& PackageName) override;

private:

	FMeshProxySettings ProxySettings;
};
